CppUnit project page | FAQ

Classes | Macros | Typedefs
TestPlugIn.h File Reference
`#include <cppunit/Portability.h>`
`#include <cppunit/plugin/PlugInParameters.h>`
`#include <cppunit/plugin/TestPlugInDefaultImpl.h>`
Include dependency graph for TestPlugIn.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | CppUnitTestPlugIn
| Test plug-in interface. More...

## Macros
#define | CPPUNIT_PLUGIN_EXPORTED_NAME cppunitTestPlugIn
| Name of the function exported by a test plug-in.
#define | CPPUNIT_PLUGIN_EXPORTED_FUNCTION_IMPL(TestPlugInInterfaceType)
| Implements the function exported by the test plug-in.
#define | CPPUNIT_PLUGIN_IMPLEMENT()
| Implements and exports the test plug-in interface.

## Typedefs
typedef CppUnitTestPlugIn *(* | TestPlugInSignature) ()
| Type of the function exported by a plug-in.

| Send comments to: CppUnit Developers